<?php

namespace WpBeacon\Data;

class VersionInfo
{
    public string $current;
    public ?string $latest;
    public string $checkedAt;
    public ?bool $upToDate;
    public ?string $releasedAt;

    public function __construct(
        string $current,
        ?string $latest,
        string $checkedAt,
        ?bool $upToDate,
        ?string $releasedAt
    )
    {
        $this->current = $current;
        $this->latest = $latest;
        $this->checkedAt = $checkedAt;
        $this->upToDate = $upToDate;
        $this->releasedAt = $releasedAt;
    }
}
